Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class Tip

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.BoxComponent
                      com.gwtext.client.widgets.Container
                          com.gwtext.client.widgets.Panel
                              com.gwtext.client.widgets.Tip

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasWidgets, Observable, java.lang.Iterable

Direct Known Subclasses:
  ToolTip

    public class Tip

extends Panel

This is the base class for `QuickTips` and Tooltip that provides the basic layout and positioning that all tip-based classes require. This class can be used directly for simple, statically-positioned tips that are displayed programmatically.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`Tip()`
`Tip(com.google.gwt.core.client.JavaScriptObject jsObj)`
`Tip(java.lang.String html)`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config)`
`void` | `setClosable(boolean closable)` True to render a close tool button into the tooltip header (defaults to false).
`void` | `setDefaultAlign(java.lang.String defaultAlign)` The default `BaseElement.alignTo(String, String)` anchor position value for this tip relative to its element of origin.
`void` | `setMaxWidth(int maxWidth)` The maximum width of the tip in pixels (defaults to 300).
`void` | `setMinWidth(int minWidth)` The minimum width of the tip in pixels (defaults to 40).
`void` | `setShadow(boolean shadow)` True for shadows on sides.
`void` | `setShadow(Shadow.Type shadow)` Set a shadow type for the tooltip.
`void` | `setWidth(int width)` Width in pixels of the tip (defaults to auto).
`void` | `showAt(int x, int y)` Shows this tip at the specified XY position.
`void` | `showBy(com.google.gwt.user.client.Element element)` Shows this tip at a position relative to another element.
`void` | `showBy(com.google.gwt.user.client.Element element, java.lang.String position)` Shows this tip at a position relative to another element.
`void` | `showBy(java.lang.String elementID)` Shows this tip at a position relative to another element.
`void` | `showBy(java.lang.String elementID, java.lang.String position)` Shows this tip at a position relative to another element.

Methods inherited from class com.gwtext.client.widgets.Panel
`addButton, addListener, addTool, collapse, collapse, expand, expand, getBaseCls, getBody, getBodyStyle, getBodyWrap, getBottomToolbar, getCollapsedCls, getCollapseFirst, getConfigPrototype, getFloating, getFooter, getFrameHeight, getFrameWidth, getHeader, getHtml, getIconCls, getInnerHeight, getInnerWidth, getMinButtonWidth, getShadowOffset, getTabCls, getTitle, getTopToolbar, getUpdateManager, getXType, isAnimCollapse, isAutoScroll, isBodyBorder, isBorder, isClosable, isCollapsed, isCollapsible, isFrame, isHeader, isHeaderAsText, isHideCollapseTool, isMaskDisabled, isShadow, isShim, isTitleCollapse, load, load, setAnimCollapse, setAutoLoad, setAutoLoad, setAutoScroll, setBaseCls, setBodyBorder, setBodyStyle, setBorder, setBottomToolbar, setBottomToolbar, setBottomToolbar, setButtonAlign, setButtons, setCollapsed, setCollapsedCls, setCollapseFirst, setCollapsible, setContentEl, setDraggable, setFloating, setFooter, setFrame, setHeader, setHeaderAsText, setHideCollapseTool, setHtml, setIconCls, setMargins, setMargins, setMaskDisabled, setMinButtonWidth, setPaddings, setPaddings, setShadowOffset, setShim, setTabCls, setTitle, setTitle, setTitleCollapse, setTools, setTopToolbar, setTopToolbar, setTopToolbar, toggleCollapse, toggleCollapse`

Methods inherited from class com.gwtext.client.widgets.Container
`add, add, add, add, addListener, bubble, cascade, clear, doLayout, doLayout, findBy, findByID, findByType, getActiveItem, getActiveItemID, getAutoDestroy, getBufferResize, getComponent, getComponent, getComponents, getHideBorders, getItems, getLayout, getMonitorResize, insert, iterator, remove, remove, remove, remove, removeAll, removeAll, setActiveItem, setActiveItemID, setAutoDestroy, setBufferResize, setDefaults, setHideBorders, setLayout, setMonitorResize`

Methods inherited from class com.gwtext.client.widgets.BoxComponent
`addListener, doOnRender, doOnRender, getAutoHeight, getAutoWidth, getBox, getBox, getHeight, getPosition, getPosition, getSize, getWidth, setAutoHeight, setAutoWidth, setHeight, setHeight, setPagePosition, setPosition, setSize, setSize, setWidth, syncSize, updateBox`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, afterRender, beforeDestroy, check, checkExtVer, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getCls, getComponentJS, getConfig, getConfigAsString, getCtCls, getDisabledClass, getEl, getElement, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getXTypes, hashCode, hide, initComponent, isCreated, isDisabled, isHidden, isRendered, isVisible, isXType, isXType, onDestroy, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCls, setCtCls, setDisabled, setDisabledClass, setEl, setEl, setElement, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setVisible, show, suspendEvents, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, setElement, setPixelSize, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tip

    public Tip()

### Tip

    public Tip(java.lang.String html)

### Tip

    public Tip(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config)

  Overrides:
    `create` in class `Panel`

### setClosable

    public void setClosable(boolean closable)
                     throws java.lang.IllegalStateException

  True to render a close tool button into the tooltip header (defaults to false).

  Overrides:
    `setClosable` in class `Panel`
  Parameters:
    `closable` - true for closable
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setDefaultAlign

    public void setDefaultAlign(java.lang.String defaultAlign)
                         throws java.lang.IllegalStateException

  The default `BaseElement.alignTo(String, String)` anchor position value for this tip relative to its element of origin. (defaults to "tl-bl?")

  Parameters:
    `defaultAlign` - the align poistion.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setMaxWidth

    public void setMaxWidth(int maxWidth)
                     throws java.lang.IllegalStateException

  The maximum width of the tip in pixels (defaults to 300). The maximum supported value is 500.

  Parameters:
    `maxWidth` - the max width
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setMinWidth

    public void setMinWidth(int minWidth)
                     throws java.lang.IllegalStateException

  The minimum width of the tip in pixels (defaults to 40).

  Parameters:
    `minWidth` - the min width
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setShadow

    public void setShadow(boolean shadow)

  True for shadows on sides.

  Overrides:
    `setShadow` in class `Panel`
  Parameters:
    `shadow` - true for shadow

### setShadow

    public void setShadow(Shadow.Type shadow)

  Set a shadow type for the tooltip.

  Overrides:
    `setShadow` in class `Panel`
  Parameters:
    `shadow` - the shadow type
  See Also:
    `Shadow.SIDES`, `Shadow.FRAME`, `Shadow.DROP`

### setWidth

    public void setWidth(int width)

  Width in pixels of the tip (defaults to auto). Width will be ignored if it exceeds the bounds of minWidth or maxWidth. The maximum supported value is 500.

  Overrides:
    `setWidth` in class `BoxComponent`
  Parameters:
    `width` - the tooltip width

### showAt

    public void showAt(int x,
                       int y)

  Shows this tip at the specified XY position.

  Parameters:
    `x` - the X position
    `y` - the Y position

### showBy

    public void showBy(com.google.gwt.user.client.Element element)

  Shows this tip at a position relative to another element. Default to the poistion defaults to 'tl-br?'

  Parameters:
    `element` - the element to show tip by
  See Also:
    `BaseElement.alignTo(String, String)`

### showBy

    public void showBy(java.lang.String elementID)

  Shows this tip at a position relative to another element. Default to the poistion defaults to 'tl-br?'

  Parameters:
    `elementID` - the element ID to show tip by
  See Also:
    `BaseElement.alignTo(String, String)`

### showBy

    public void showBy(com.google.gwt.user.client.Element element,
                       java.lang.String position)

  Shows this tip at a position relative to another element. Default to the poistion defaults to 'tl-br?'

  Parameters:
    `element` - the element to show tip by
    `position` - the tooltip position
  See Also:
    `BaseElement.alignTo(String, String)`

### showBy

    public void showBy(java.lang.String elementID,
                       java.lang.String position)

  Shows this tip at a position relative to another element. Default to the poistion defaults to 'tl-br?'

  Parameters:
    `elementID` - the element ID to show tip by
    `position` - the tooltip position
  See Also:
    `BaseElement.alignTo(String, String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD